Skip to main content
POST
Attach volume

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

volume_id
string<uuid4>
required

Volume ID

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

Body

application/json

Attach volume to instance schema

instance_id
string<uuid4>
required

Instance ID.

Example:

"169942e0-9b53-42df-95ef-1a8b6525c2bd"

attachment_tag
string

Block device attachment tag (not exposed in the normal tags).

Pattern: ^[^,/]{1,60}$
Examples:

"boot"

"data"

"logs"

Response

200 - application/json

OK

bootable
boolean
required

Indicates whether the volume is bootable.

Example:

false

created_at
string<date-time>
required

The date and time when the volume was created.

Example:

"2019-05-29T05:32:41+0000"

id
string
required

The unique identifier of the volume.

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

is_root_volume
boolean
required

Indicates whether this is a root volume.

Example:

false

name
string
required

The name of the volume.

Example:

"volume-1"

project_id
integer
required

Project ID.

Example:

1

region
string
required

The region where the volume is located.

Example:

"Luxembourg"

region_id
integer
required

The identifier of the region.

Example:

1

size
integer
required

The size of the volume in gibibytes (GiB).

Example:

50

status
enum<string>
required

The current status of the volume.

Available options:
attaching,
available,
awaiting-transfer,
backing-up,
creating,
deleting,
detaching,
downloading,
error,
error_backing-up,
error_deleting,
error_extending,
error_restoring,
extending,
in-use,
maintenance,
reserved,
restoring-backup,
retyping,
reverting,
uploading
Example:

"available"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
volume_type
string
required

The type of volume storage.

Example:

"standard"

attachments
VolumeAttachmentSerializer · object[] | null

List of attachments associated with the volume.

creator_task_id
string | null

The ID of the task that created this volume.

Example:

"d74c2bb9-cea7-4b23-a009-2f13518ae66d"

limiter_stats
VolumeLimiterStatsSerializer · object | null

Quality of Service (QoS) parameters for this volume.

snapshot_ids
string[] | null

List of snapshot IDs associated with this volume.

task_id
string | null

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

updated_at
string<date-time> | null

The date and time when the volume was last updated.

Example:

"2019-05-29T05:39:20+0000"

volume_image_metadata
Volume Image Metadata · object | null

Image metadata for volumes created from an image.

Example: